
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}hibernate-jpa-2.1-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}hibernate-jpa-2.1-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Persistence API, Version 2.1
Group:          Development/Java

%if %with mead
Source100: hibernate-jpa-api-project-1.0.0.Final-redhat-1-scm-sources.zip
Source102: hibernate-jpa-2.1-api-1.0.0.Final-redhat-1-sources.jar
Source103: hibernate-jpa-2.1-api-1.0.0.Final-redhat-1.jar
Source104: hibernate-jpa-2.1-api-1.0.0.Final-redhat-1-javadoc.jar
Source105: hibernate-jpa-2.1-api-1.0.0.Final-redhat-1.pom
Source106: hibernate-jpa-api-project-1.0.0.Final-redhat-1-project-sources.tar.gz
Source107: hibernate-jpa-api-project-1.0.0.Final-redhat-1.pom
%endif

License:        EPL 1.0/EDL 1.0
URL:            http://hibernate.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Clean-room definition of JPA APIs intended for use in developing Hibernate JPA
implementation. See README.md for details.

%if %with javadoc
%package javadoc
Summary:        Javadoc for hibernate-jpa-2.1-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hibernate-jpa-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/hibernate-jpa-2.1-api-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-jpa-2.1-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-jpa-2.1-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-jpa-2.1-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-jpa-2.1-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-jpa-2.1-api-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-jpa-2.1-api-%{namedversion} %{buildroot}%{_javadocdir}/hibernate-jpa-2.1-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.txt README.md
%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}.jar
%{_javadir}/hibernate-jpa-2.1-api.jar
%if %with javadoc
%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-jpa-2.1-api-javadoc.jar
%endif
%{_javadir}/hibernate-jpa-2.1-api-%{namedversion}-sources.jar
%{_javadir}/hibernate-jpa-2.1-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-jpa-2.1-api-%{namedversion}
%{_javadocdir}/hibernate-jpa-2.1-api
%endif

%changelog
* Tue Aug 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release

